unit uoddfacebase;

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  DBGrids, DbCtrls,
  uactores, xmatdefs, ufechas,
  usalasdejuego;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  archiDefs: string;
  carpetaSala, archiSala: string;
  sala: TSalaDeJuego;
  actor: TActor;
  k: integer;

  afu: TFichaUnidades;
  nUnidades: TDAofNInt;
  fecha: TFecha;


begin
  if openDialog1.Execute then
  begin
    setlength( nUnidades, 1 );

    archiDefs:= openDialog1.FileName;



    carpetaSala := extractFilePath( archiSala);
    chdir(carpetaSala);
    sala:= TSalaDeJuego.cargarSala( archiSala, true);
    for k:= 0 to sala.ListaActores.count-1 do
      memo1.lines.add( TActor( sala.ListaActores[k] ).Nombre );


    actor:= sala.ListaActores.find( 'Alur' ) as TActor;

    fecha:= TFecha.Create_AnioMesDia( 2012, 5, 1 );
    nUnidades[0]:= 12;
    afu:= TFichaUnidades.Create( fecha, nil, nUnidades );
    actor.lpdUnidades.insertar( afu );

    sala.WriteToArchi('salatest.ese' );

    sala.Free;
  end;
end;



end.

